%{?nodejs_find_provides_and_requires}

%global enable_tests 1
%global packagename basic-auth

Name:		nodejs-%{packagename}
Version:	1.0.3
Release:	1%{?dist}
Summary:	Generic basic auth Authorization header field parser for whatever

License:	MIT
URL:		https://github.com/jshttp/basic-auth
Source0:	https://github.com/jshttp/basic-auth/archive/v1.0.3.tar.gz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
Requires:	nodejs

%description
Generic basic auth Authorization header field parser for NodeJS


%prep
%setup -q -n %{packagename}-%{version}

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif



%files
%doc README.md HISTORY.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Oct  7 2015 Jared Smith <jsmith@fedoraproject.org> 1.0.3-1
- Initial packaging
